auth.factor.totp.enroll
curl --request POST \
--url https://platform.trylath.com/auth/factor/totp/enroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessToken": "<string>",
"mfaToken": "<string>",
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', mfaToken: '<string>', name: '<string>'})
};
fetch('https://platform.trylath.com/auth/factor/totp/enroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/factor/totp/enroll"
payload = {
"accessToken": "<string>",
"mfaToken": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/factor/totp/enroll"
payload := strings.NewReader("{\n \"accessToken\": \"<string>\",\n \"mfaToken\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"factorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secret": "<string>",
"otpauthUrl": "<string>",
"digits": 0,
"period": 0
}
}auth.factor.totp.enroll
Starts enrolling an authenticator app: returns a fresh secret and an otpauth URI to show as a QR code. Nothing counts until auth.factor.totp.activate proves the app shows the right code. Accepts an access token, or the mfaToken of a sign-in that was told to enrol.
POST
/
auth
/
factor
/
totp
/
enroll
auth.factor.totp.enroll
curl --request POST \
--url https://platform.trylath.com/auth/factor/totp/enroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessToken": "<string>",
"mfaToken": "<string>",
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', mfaToken: '<string>', name: '<string>'})
};
fetch('https://platform.trylath.com/auth/factor/totp/enroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/factor/totp/enroll"
payload = {
"accessToken": "<string>",
"mfaToken": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/factor/totp/enroll"
payload := strings.NewReader("{\n \"accessToken\": \"<string>\",\n \"mfaToken\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"factorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secret": "<string>",
"otpauthUrl": "<string>",
"digits": 0,
"period": 0
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Last modified on September 13, 2026
Was this page helpful?

